## org.eclipse.datatools.connectivity.oda.design
Interface DataElementIdentifiers

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DataElementIdentifiers

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Data Element Identifiers'. A collection of data element identifiers.

The following features are supported:

- `Identifiers`

Since:
  3.3.2
See Also:
  `DesignPackage.getDataElementIdentifiers()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`org.eclipse.emf.common.util.EList<DataElementIdentifier>` `getIdentifiers()` Returns the value of the 'Identifiers' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getIdentifiers

    org.eclipse.emf.common.util.EList<DataElementIdentifier> getIdentifiers()

  Returns the value of the 'Identifiers' containment reference list. The list contents are of type `DataElementIdentifier`.

  If the meaning of the 'Identifiers' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identifiers' containment reference list.
  See Also:
    `DesignPackage.getDataElementIdentifiers_Identifiers()`